Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractPattern

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractPattern

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractPattern extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractPattern.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractPattern()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractPattern.Builder`
  `builder()`
  `ContractPattern`
  `copy()`
  `BigDecimal`
  `getClosesumma()`
  `Set<Integer>`
  `getContractLabels()`
  `Document`
  `getData()`
  `int`
  `getDaysToLive()`
  `int`
  `getDomainId()`
  ID домена
  `int`
  `getFc()`
  `long`
  `getGroups()`
  `String`
  `getLimitMode()`
  `String`
  `getMasterHandlerClass()`
  `Set<Integer>`
  `getMasterOptionalParameterIds()`
  `Set<Integer>`
  `getMasterRequiredParameterIds()`
  `String`
  `getMasterTariffMode()`
  `int`
  `getMode()`
  `List<String>`
  `getModuleList()`
  `int`
  `getNamePatternId()`
  `String`
  `getObjectString()`
  `int`
  `getParamsGroupId()`
  `int`
  `getPatternId()`
  `String`
  `getPatternMode()`
  `List<Integer>`
  `getScriptList()`
  `List<String>`
  `getServiceList()`
  `int`
  `getStatus()`
  `List<Integer>`
  `getTariffGroupList()`
  `List<String>`
  `getTariffPlanList()`
  `String`
  `getTitle()`
  `int`
  `getWebMenuId()`
  `boolean`
  `isHidden()`
  `ContractPattern`
  `setClosesumma(BigDecimal closesumma)`
  `ContractPattern`
  `setData(Document data)`
  `ContractPattern`
  `setDaysToLive(int daysToLive)`
  `ContractPattern`
  `setDomainId(int domainId)`
  `ContractPattern`
  `setFc(int fc)`
  `ContractPattern`
  `setGroups(long groups)`
  `ContractPattern`
  `setHidden(boolean hidden)`
  `ContractPattern`
  `setLimitMode(String limitMode)`
  `ContractPattern`
  `setMasterHandlerClass(String masterHandlerClass)`
  `ContractPattern`
  `setMasterOptionalParameterIds(Set<Integer> masterOptionalParameterIds)`
  `ContractPattern`
  `setMasterRequiredParameterIds(Set<Integer> masterRequiredParameterIds)`
  `ContractPattern`
  `setMasterTariffMode(String masterTariffMode)`
  `ContractPattern`
  `setMode(int mode)`
  `ContractPattern`
  `setNamePatternId(int namePatternId)`
  `ContractPattern`
  `setObjectString(String objectString)`
  `ContractPattern`
  `setParamsGroupId(int paramsGroupId)`
  `ContractPattern`
  `setPatternId(int patternId)`
  `ContractPattern`
  `setPatternMode(String patternMode)`
  `ContractPattern`
  `setScriptList(List<Integer> scriptId)`
  `ContractPattern`
  `setStatus(int status)`
  `ContractPattern`
  `setTariffGroupList(List<Integer> value)`
  `ContractPattern`
  `setTariffPlanList(List<String> value)`
  `ContractPattern`
  `setTitle(String title)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractPattern

    public ContractPattern()

- ## Method Details

  - ### getNamePatternId

    public int getNamePatternId()

  - ### setNamePatternId

    public ContractPattern setNamePatternId(int namePatternId)

  - ### isHidden

    public boolean isHidden()

  - ### setHidden

    public ContractPattern setHidden(boolean hidden)

  - ### getModuleList

    public List<String> getModuleList()

  - ### getPatternId

    public int getPatternId()

  - ### setPatternId

    public ContractPattern setPatternId(int patternId)

  - ### setTitle

    public ContractPattern setTitle(String title)

  - ### setClosesumma

    public ContractPattern setClosesumma(BigDecimal closesumma)

  - ### setLimitMode

    public ContractPattern setLimitMode(String limitMode)

  - ### setTariffPlanList

    public ContractPattern setTariffPlanList(List<String> value)

  - ### setGroups

    public ContractPattern setGroups(long groups)

  - ### setMode

    public ContractPattern setMode(int mode)

  - ### setParamsGroupId

    public ContractPattern setParamsGroupId(int paramsGroupId)

  - ### setFc

    public ContractPattern setFc(int fc)

  - ### setDaysToLive

    public ContractPattern setDaysToLive(int daysToLive)

  - ### setTariffGroupList

    public ContractPattern setTariffGroupList(List<Integer> value)

  - ### getTitle

    public String getTitle()

  - ### getClosesumma

    public BigDecimal getClosesumma()

  - ### getLimitMode

    public String getLimitMode()

  - ### getTariffPlanList

    public List<String> getTariffPlanList()

  - ### getGroups

    public long getGroups()

  - ### getMode

    public int getMode()

  - ### getParamsGroupId

    public int getParamsGroupId()

  - ### getFc

    public int getFc()

  - ### getDaysToLive

    public int getDaysToLive()

  - ### getTariffGroupList

    public List<Integer> getTariffGroupList()

  - ### getServiceList

    public List<String> getServiceList()

  - ### getData

    public Document getData()

  - ### setData

    public ContractPattern setData(Document data)

  - ### getScriptList

    public List<Integer> getScriptList()

  - ### setScriptList

    public ContractPattern setScriptList(List<Integer> scriptId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public ContractPattern setStatus(int status)

  - ### setObjectString

    public ContractPattern setObjectString(String objectString)

  - ### getObjectString

    public String getObjectString()

  - ### getPatternMode

    public String getPatternMode()

  - ### setPatternMode

    public ContractPattern setPatternMode(String patternMode)

  - ### getMasterHandlerClass

    public String getMasterHandlerClass()

  - ### setMasterHandlerClass

    public ContractPattern setMasterHandlerClass(String masterHandlerClass)

  - ### getMasterTariffMode

    public String getMasterTariffMode()

  - ### setMasterTariffMode

    public ContractPattern setMasterTariffMode(String masterTariffMode)

  - ### getWebMenuId

    public int getWebMenuId()

  - ### getDomainId

    public int getDomainId()
    ID домена
    Returns:
    See Also:
      - `Domain`

  - ### setDomainId

    public ContractPattern setDomainId(int domainId)

  - ### getContractLabels

    public Set<Integer> getContractLabels() throws Exception
    Throws:
      `Exception`

  - ### getMasterRequiredParameterIds

    public Set<Integer> getMasterRequiredParameterIds()

  - ### setMasterRequiredParameterIds

    public ContractPattern setMasterRequiredParameterIds(Set<Integer> masterRequiredParameterIds)

  - ### getMasterOptionalParameterIds

    public Set<Integer> getMasterOptionalParameterIds()

  - ### setMasterOptionalParameterIds

    public ContractPattern setMasterOptionalParameterIds(Set<Integer> masterOptionalParameterIds)

  - ### copy

    public ContractPattern copy()

  - ### builder

    public static ContractPattern.Builder builder()